Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Profile_Timer::ACE_Elapsed_Time Class Reference

Keeps track of the various user, system, and elapsed (real) times. More...

`#include <Profile_Timer.h>`

List of all members.

## Public Attributes
ACE_timer_t | real_time
| Elapsed wall clock time.
ACE_timer_t | user_time
| CPU time spent in user space.
ACE_timer_t | system_time
| CPU time spent in system space.

## Detailed Description

Keeps track of the various user, system, and elapsed (real) times.

Note:
  If `ACE_LACKS_FLOATING_POINT` is enabled, these values are in microseconds; otherwise, they are in seconds.

## Member Data Documentation

ACE_timer_t ACE_Profile_Timer::ACE_Elapsed_Time::real_time

| Elapsed wall clock time.

ACE_timer_t ACE_Profile_Timer::ACE_Elapsed_Time::system_time

| CPU time spent in system space.

ACE_timer_t ACE_Profile_Timer::ACE_Elapsed_Time::user_time

| CPU time spent in user space.

The documentation for this class was generated from the following file:

- Profile_Timer.h